snmp3_get
snmp3_real_walk
SNMP Functions
PHP Manual

# snmp3_getnext

(PHP 5)

snmp3_getnext — Fetch the SNMP object which follows the given object id

### Description

string snmp3_getnext ( string `$host` , string `$sec_name` , string `$sec_level` , string `$auth_protocol` , string `$auth_passphrase` , string `$priv_protocol` , string `$priv_passphrase` , string `$object_id` [, string `$timeout` = 1000000 [, string `$retries` = 5 ]] )

The snmp3_getnext() function is used to read the value of the SNMP object that follows the specified `object_id`.

### Parameters

`host`

  The hostname of the SNMP agent (server).

`sec_name`

  the security name, usually some kind of username

`sec_level`

  the security level (noAuthNoPriv|authNoPriv|authPriv)

`auth_protocol`

  the authentication protocol (MD5 or SHA)

`auth_passphrase`

  the authentication pass phrase

`priv_protocol`

  the privacy protocol (DES or AES)

`priv_passphrase`

  the privacy pass phrase

`object_id`

  The SNMP object id.

`timeout`

  The number of microseconds until the first timeout.

`retries`

  The number of times to retry if timeouts occur.

### Return Values

Returns SNMP object value on success or `FALSE` on error. In case of an error, an E_WARNING message is shown.

### Examples

Example #1 Using snmp3_getnext()

`<?php
$nameOfSecondInterface = snmp3_getnext('localhost', 'james', 'authPriv', 'SHA', 'secret007', 'AES', 'secret007', 'IF-MIB::ifName.1');
?>`

### See Also

- snmp3_get() - Fetch an SNMP object
- snmp3_walk() - Fetch all the SNMP objects from an agent

snmp3_get
snmp3_real_walk
SNMP Functions
PHP Manual